Bug 183247 - Implement createImageBitmap(Blob)
Summary: Implement createImageBitmap(Blob)
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Canvas (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Ms2ger
URL:
Keywords: InRadar
Depends on:
Blocks: 182424
  Show dependency treegraph
 
Reported: 2018-03-01 09:23 PST by Ms2ger
Modified: 2018-06-15 11:20 PDT (History)
9 users (show)

See Also:


Attachments
Patch (22.09 KB, patch)
2018-03-01 09:31 PST, Ms2ger
no flags Details | Formatted Diff | Diff
Patch (23.90 KB, patch)
2018-03-06 02:55 PST, Ms2ger
no flags Details | Formatted Diff | Diff
Patch (24.05 KB, patch)
2018-03-06 03:56 PST, Ms2ger
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ms2ger 2018-03-01 09:23:20 PST
.
Comment 1 Ms2ger 2018-03-01 09:31:07 PST
Created attachment 334820 [details]
Patch
Comment 2 Ms2ger 2018-03-06 02:55:14 PST
Created attachment 335080 [details]
Patch
Comment 3 Ms2ger 2018-03-06 03:56:31 PST
Created attachment 335082 [details]
Patch
Comment 4 Dean Jackson 2018-04-06 11:30:11 PDT
Comment on attachment 335082 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=335082&action=review

> Source/WebCore/html/ImageBitmap.cpp:592
> +void ImageBitmap::createFromBuffer(
> +    Ref<ArrayBuffer>&& arrayBuffer,
> +    String mimeType,
> +    long long expectedContentLength,
> +    const URL& sourceUrl,
> +    ImageBitmapOptions&& options,
> +    std::optional<IntRect> rect,
> +    ImageBitmap::Promise&& promise)

We normally just put everything on a single line
Comment 5 WebKit Commit Bot 2018-04-06 12:33:37 PDT
Comment on attachment 335082 [details]
Patch

Clearing flags on attachment: 335082

Committed r230350: <https://trac.webkit.org/changeset/230350>
Comment 6 WebKit Commit Bot 2018-04-06 12:33:39 PDT
All reviewed patches have been landed.  Closing bug.
Comment 7 Radar WebKit Bug Importer 2018-04-06 12:34:16 PDT
<rdar://problem/39245905>